Update a webhook subscription

Updates a webhook subscription

Path Params
string
required

Webhook ID

Body Params
string

Webhook callback URL

string

Optional description of the webhook's intended use

events
array of strings

List of events enabled in the webhook subscription

events
string
enum

Enable or disable the webhook endpoint subscription

Allowed:
string
enum

Action used to update the webhook subscription events

Allowed:
Response
200
{
  "date_updated": "2020-08-25T09:39:41.708564",
  "date_created": "2020-08-25T09:38:56.782190",
  "webhook_id": "40d1c88e-afcb-459a-832d-17514f812671",
  "callback_url": "https://hostname.com/webhook/route",
  "description": "Transactions and KYC state changes.",
  "events": [
      "kyc.verification.timeout",
      "transactions"
    ],
  "status": "enabled",
  "secret": "whsec_fxg2tA4B8gBItxz/8hlBliD8IL+9JxfV"
}
Language
Credentials
Response
Click Try It! to start a request and see the response here!